#include <iostream> 
#include <cmath>

using namespace std;

int main()
{
    int t;
    cin >> t;
    for(int qw=0;qw<t;qw++)
    {
        long long a,b;
        cin >> a >>  b;
        bool nema = true;
        for(long long i=1;i<=sqrt(a);i++)
        {
            if(i*(b^i)==a)
            {
                cout << i << " " << a/i << endl;
                nema = false;
            }
            if(!nema) break;
        }
        if(nema) cout << -1;
    }
}